MCP Tools Reference: cloudbilling.googleapis.com

Tool: get_billing_account_sku

Gets a SKU visible to a billing account.

The following code sample shows how to use curl to call the get_billing_account_sku MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_billing_account_sku",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetBillingAccountSku.

GetBillingAccountSkuRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the billing account SKU to retrieve. Format: billingAccounts/{billing_account}/skus/{sku}

Output Schema

Encapsulates a stock keeping unit (SKU) visible to a billing account. A SKU distinctly identifies a resource that you can purchase. For a list of available SKUs, see SKUs.

BillingAccountSku

JSON representation
{
  "name": string,
  "skuId": string,
  "displayName": string,
  "billingAccountService": string,
  "productTaxonomy": {
    object (ProductTaxonomy)
  },
  "geoTaxonomy": {
    object (GeoTaxonomy)
  }
}
Fields
name

string

Resource name for the BillingAccountSku. Example: "billingAccounts/012345-567890-ABCDEF/skus/AA95-CD31-42FE".

skuId

string

Unique identifier for the SKU. It is the string after the collection identifier "skus/" Example: "AA95-CD31-42FE".

displayName

string

Description of the BillingAccountSku. Example: "A2 Instance Core running in Hong Kong".

billingAccountService

string

BillingAccountService that the BillingAccountSku belongs to.

productTaxonomy

object (ProductTaxonomy)

List of product categories that apply to the BillingAccountSku.

geoTaxonomy

object (GeoTaxonomy)

Geographic metadata that applies to the BillingAccountSku.

ProductTaxonomy

JSON representation
{
  "taxonomyCategories": [
    {
      object (TaxonomyCategory)
    }
  ]
}
Fields
taxonomyCategories[]

object (TaxonomyCategory)

All product categories that the billing account SKU belong to.

TaxonomyCategory

JSON representation
{
  "category": string
}
Fields
category

string

Name of the product category.

GeoTaxonomy

JSON representation
{
  "type": enum (Type),

  // Union field metadata can be only one of the following:
  "globalMetadata": {
    object (Global)
  },
  "regionalMetadata": {
    object (Regional)
  },
  "multiRegionalMetadata": {
    object (MultiRegional)
  }
  // End of list of possible types for union field metadata.
}
Fields
type

enum (Type)

Type of geographic taxonomy associated with the billing account SKU.

Union field metadata.

metadata can be only one of the following:

globalMetadata

object (Global)

Global geographic metadata with no regions.

regionalMetadata

object (Regional)

Regional geographic metadata with 1 region.

multiRegionalMetadata

object (MultiRegional)

Multi-regional geographic metadata with 2 or more regions.

Regional

JSON representation
{
  "region": {
    object (Region)
  }
}
Fields
region

object (Region)

Google Cloud region associated with the regional geographic taxonomy.

Region

JSON representation
{
  "region": string
}
Fields
region

string

Description of a Google Cloud region. Example: "us-west2".

MultiRegional

JSON representation
{
  "regions": [
    {
      object (Region)
    }
  ]
}
Fields
regions[]

object (Region)

Google Cloud regions associated with the multi-regional geographic taxonomy.

Type

Different types of geographic taxonomy.

Enums
TYPE_UNSPECIFIED Default value. Unspecified type.
TYPE_GLOBAL Global geographic taxonomy with no regions.
TYPE_REGIONAL Regional geographic taxonomy with 1 region.
TYPE_MULTI_REGIONAL Multi-regional geographic taxonomy with 2 or more regions.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌